#ifndef SOFTIIC_H__
#define SOFTIIC_H__

extern int sda_pin;  // GPIO0
extern int scl_pin;   // GPIO1

int softiic_init();

// I2C 起始信号
void i2c_start();

void i2c_delay();

// I2C 停止信号
void i2c_stop();

// I2C 发送一个字节
void i2c_write_byte(uint8_t data);

// I2C 读取一个字节
uint8_t i2c_read_byte(bool ack);

#endif